var Est94000_AprovacaoInventarioCego_Services = function(General, restEngine, Lib00206_InfComplProduto_Controller, ZHPromise, EstUtil, Est94000_AprovacaoInventarioCego_Repository) {
    // Gets logged unit
    this.getFilialLogada = function() {
        const filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
	    ];
        return General.callRestEngine('est#/crud/filial', 'FilterData', filter);
    };

    // Gets data about unit params and set it in filter currentRow
    this.getParamFilialData = function() {
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": ""
            }
	    ];
        filter[0].value = EstUtil.getFieldValue('CDFILIAL', 'inventoryGrid', true);

        return General.callRestEngine('est_ajuste#/crud/paramfilial', 'FilterData', filter);
    };

    // Calls factory function
    this.onChangeSituation = function(rows, action) {
        let situationAction = { "situation": action };
        return Est94000_AprovacaoInventarioCego_Repository.onChangeSituation(rows, situationAction );
    };

};

Configuration(function(ContextRegister) {
    ContextRegister.register('Est94000_AprovacaoInventarioCego_Services', Est94000_AprovacaoInventarioCego_Services);
});
